gairmet
Pack: aviation-weather · Endpoint: https://gateway.pipeworx.io/aviation-weather/mcp
Graphical AIRMETs.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
type | string | no | turb | ice | sfc_winds | lifr | ifr (default any) |
format | string | no |
Example call
curl -X POST https://gateway.pipeworx.io/aviation-weather/mcp \
-H 'Content-Type: application/json' \
-d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"gairmet","arguments":{}}}'
Response shape
Full JSON Schema
{
"oneOf": [
{
"type": "object",
"description": "Graphical AIRMETs in JSON format"
},
{
"type": "object",
"properties": {
"format": {
"type": "string",
"description": "Response format (raw)"
},
"body": {
"type": "string",
"description": "Raw response body"
}
},
"required": [
"format",
"body"
]
}
]
}
Connect
Add this to your MCP client config, or use one-click install buttons:
{
"mcpServers": {
"aviation-weather": {
"url": "https://gateway.pipeworx.io/aviation-weather/mcp"
}
}
}
See Getting Started for client-specific install steps.